JUCE: AudioProcessorGraph::Node Class Reference

JUCE

Public Types | Public Member Functions | Public Attributes | List of all members
AudioProcessorGraph::Node Class Reference
juce_audio_processors » processors

Represents one of the nodes, or processors, in an AudioProcessorGraph. More...

`#include <juce_AudioProcessorGraph.h>`

Inheritance diagram for AudioProcessorGraph::Node:

## Public Types
using | Ptr = ReferenceCountedObjectPtr< Node >
| A convenient typedef for referring to a pointer to a node object. More...

## Public Member Functions
AudioProcessor * | getProcessor () const noexcept
| The actual processor object that this node represents. More...
bool | isBypassed () const noexcept
| Returns if the node is bypassed or not. More...
void | setBypassed (bool shouldBeBypassed) noexcept
| Tell this node to bypass processing. More...
Public Member Functions inherited from ReferenceCountedObject
void | incReferenceCount () noexcept
| Increments the object's reference count. More...
void | decReferenceCount () noexcept
| Decreases the object's reference count. More...
bool | decReferenceCountWithoutDeleting () noexcept
| Decreases the object's reference count. More...
int | getReferenceCount () const noexcept
| Returns the object's current reference count. More...

## Public Attributes
const NodeID | nodeID
| The ID number assigned to this node. More...
NamedValueSet | properties
| A set of user-definable properties that are associated with this node. More...

## Additional Inherited Members
Protected Member Functions inherited from ReferenceCountedObject
| ReferenceCountedObject ()=default
| Creates the reference-counted object (with an initial ref count of zero). More...
| ReferenceCountedObject (const ReferenceCountedObject &) noexcept
| Copying from another object does not affect this one's reference-count. More...
| ReferenceCountedObject (ReferenceCountedObject &&) noexcept
| Copying from another object does not affect this one's reference-count. More...
ReferenceCountedObject & | operator= (const ReferenceCountedObject &) noexcept
| Copying from another object does not affect this one's reference-count. More...
ReferenceCountedObject & | operator= (ReferenceCountedObject &&) noexcept
| Copying from another object does not affect this one's reference-count. More...
virtual | ~ReferenceCountedObject ()
| Destructor. More...
void | resetReferenceCount () noexcept
| Resets the reference count to zero without deleting the object. More...

## Detailed Description

Represents one of the nodes, or processors, in an AudioProcessorGraph.

To create a node, call AudioProcessorGraph::addNode().

## Member Typedef Documentation

## ◆ Ptr

using AudioProcessorGraph::Node::Ptr = ReferenceCountedObjectPtr<Node>

A convenient typedef for referring to a pointer to a node object.

## Member Function Documentation

## ◆ getProcessor()

AudioProcessor * AudioProcessorGraph::Node::getProcessor | ( |  | ) | const
| noexcept

The actual processor object that this node represents.

## ◆ isBypassed()

bool AudioProcessorGraph::Node::isBypassed | ( |  | ) | const
| noexcept

Returns if the node is bypassed or not.

## ◆ setBypassed()

void AudioProcessorGraph::Node::setBypassed | ( | bool | shouldBeBypassed | ) |
| noexcept

Tell this node to bypass processing.

## Member Data Documentation

## ◆ nodeID

const NodeID AudioProcessorGraph::Node::nodeID

The ID number assigned to this node.

This is assigned by the graph that owns it, and can't be changed.

## ◆ properties

NamedValueSet AudioProcessorGraph::Node::properties

A set of user-definable properties that are associated with this node.

This can be used to attach values to the node for whatever purpose seems useful. For example, you might store an x and y position if your application is displaying the nodes on-screen.

The documentation for this class was generated from the following file:

- juce_AudioProcessorGraph.h